Skip to content

Update SSH verify session webhook

PATCH
/api/v1/ssh/collect/sessions/{session}/webhooks/{webhook}

Updates the webhook with the given ID.

session
required

The ID of the session.

string

The ID of the session.

webhook
required

The ID of the webhook.

string

The ID of the webhook.

object
$schema

A URL to the JSON Schema for this object.

string format: uri
backoff_multiplier
required

The multiplier to use when calculating the backoff time.

number format: double
>= 1
events

The events to trigger the webhook for. If none are provided, all events are triggered.

array | null
Allowed values: key_collected new_connection status_changed
headers

The headers to include in the request.

object
key
additional properties
array | null
initial_backoff
required

The initial time in seconds to wait before retrying the webhook.

integer format: int64
>= 1
method

The HTTP method to use.

string
Allowed values: post put patch
retries
required

The maximum number of retries.

integer format: int32
url

The webhook URL to call.

string

OK

object
$schema

A URL to the JSON Schema for this object.

string format: uri
backoff_multiplier

The multiplier to use when calculating the backoff time.

number format: double
default: 2 >= 1
events

The events to trigger the webhook for. If none are provided, all events are triggered.

array | null
Allowed values: key_collected new_connection status_changed
headers

The headers to include in the request.

object
key
additional properties
array | null
id
required

The ID of the webhook.

string
initial_backoff

The initial time in seconds to wait before retrying the webhook.

integer format: int64
default: 10 >= 1
method

The HTTP method to use.

string
default: post
Allowed values: post put patch
retries

The maximum number of retries.

integer format: int32
0
url
required

The webhook URL to call.

string

Error

object
$schema

A URL to the JSON Schema for this object.

string format: uri
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

array | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank